<template>
  <input
    type="file"
    @change="loadTextFromFile"
  >
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'

@Component
export default class ImportFile extends Vue {
  loadTextFromFile (ev: any) {
    const file = ev.target.files[0]
    const reader = new FileReader()

    reader.onload = (e) => this.$emit('load', reader.result)
    reader.readAsText(file)
  }
}
</script>
